Subject: Sorting of content elements fails in workspaces
Description

This behaviour occurs in TYPO3 4.4.9 as well.

Reproduction steps:
1. Create a test workspace
2. Live space: Create a page
3. Live space: Create two content elements within the new page
   e.g.:
      - Test1
      - Test2

4. Change to test workspace
5. Test workspace: Move down the first element (Test1) - this works
   e.g.:
      - Test2
      - Test1

6. Test workspace: Move down the second element (Test2) - this fails, the order does not change

Just guessing why:
The bug might be within the method t3lib_TCEmain::getSortNumber. It seems like the sorting relies on the sorting value from the live
versions. That would explain why moving around a single item works fine, but when moving a 2nd item it fails.

Related issues:
duplicates Core - Bug # 31663: Moving pages (and page content) in the Workspa... Resolved 2011-11-08

History
#1 - 2011-08-22 09:53 - Tolleiv Nietsch
- Status changed from New to Accepted

#2 - 2011-11-21 01:37 - Stefan Neufeind
- Status changed from Accepted to Needs Feedback

Could you please see if I'm right this is a "duplicate" of the issue described in 31663? There is a patch currently under review. It would be great if you
could try that out (only a few lines actually) and see if that solves the problem for you.

#3 - 2011-11-21 21:54 - Oliver Hader
- Status changed from Needs Feedback to Resolved
- Target version set to 4.5.8

Handled in issue #31663

#4 - 2013-12-10 01:04 - Michael Stucki
- Category changed from Bugs to Workspaces

#5 - 2013-12-10 01:06 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
